PGFIND(9)

NAME
pgfind - locate a process group by number

SYNOPSIS
#include <sys/param.h>
#include <sys/proc.h>
struct pgrp *
pgfind(pid_t pgid);

DESCRIPTION
The pgfind() function takes a pgid as its argument and returns a pointer to the pgrp structure whose pg_id is specified in the argument.

pgfind() locks the pgrp structure that is returned.

RETURN VALUES
The pgfind() function returns NULL on failure or a pointer to a pgrp structure on successful completion.

SEE ALSO
pfind(9)

AUTHORS
This manual page was written by Evan Sarmiento <kaworu@sektor7.ath.cx>.